Only in /home/topic/CVS/kaffe/kaffe/kaffevm/systems/unix-jthreads/: CVS
Only in /home/topic/CVS/kaffe/kaffe/kaffevm/systems/unix-jthreads/: .cvsignore
diff -ur /home/topic/CVS/kaffe/kaffe/kaffevm/systems/unix-jthreads/jthread.c /mnt/windows/cygwin/tmp/topic/kaffe-1.1.x-cvs/kaffe/kaffevm/systems/unix-jthreads/jthread.c
--- /home/topic/CVS/kaffe/kaffe/kaffevm/systems/unix-jthreads/jthread.c	2003-05-21 05:38:05.000000000 -0400
+++ /mnt/windows/cygwin/tmp/topic/kaffe-1.1.x-cvs/kaffe/kaffevm/systems/unix-jthreads/jthread.c	2003-06-08 06:40:26.000000000 -0400
@@ -1406,6 +1406,109 @@
  * Functions that are part of the user interface
  *
  */
+
+/* 
+ * return the current thread 
+ */
+jthread_t
+jthread_current(void) 
+{ 
+	return currentJThread; 
+}
+
+/*
+ * determine whether a location is on the stack of the current thread
+ */
+int
+jthread_on_current_stack(void *bp)      
+{
+        int rc = bp >= currentJThread->stackBase && bp < currentJThread->stackEnd;
+
+DBG(JTHREADDETAIL,
+	dprintf("on current stack: base=%p size=%ld bp=%p %s\n",
+		currentJThread->stackBase,
+		(long)((char *) currentJThread->stackEnd - (char *) currentJThread->stackBase),
+		bp,
+		(rc ? "yes" : "no"));
+    )
+
+        return rc;
+}
+
+/* 
+ * Check for room on stack.
+ */
+int     
+jthread_stackcheck(int left)
+{
+	int rc;
+#if defined(STACK_GROWS_UP)
+        rc = jthread_on_current_stack((char*)&rc + left);
+#else
+        rc = jthread_on_current_stack((char*)&rc - left);
+#endif
+	return (rc);
+}
+
+/*
+ * Get the current stack limit.
+ */
+
+#define	REDZONE	1024
+
+void
+jthread_relaxstack(int yes)
+{
+	if( yes )
+	{
+#if defined(STACK_GROWS_UP)
+		uintp end = (uintp) currentJThread->stackEnd;
+		end += REDZONE;
+		currentJThread->stackEnd = (void *) end;
+#else
+		uintp base = (uintp) currentJThread->stackBase;
+		base -= REDZONE;
+		currentJThread->stackBase = (void *) base;
+#endif
+	}
+	else
+	{
+#if defined(STACK_GROWS_UP)
+		uintp end = (uintp) currentJThread->stackEnd;
+		end -= REDZONE;
+		currentJThread->stackEnd = (void *) end;
+#else
+		uintp base = (uintp) currentJThread->stackBase;
+		base += REDZONE;
+		currentJThread->stackBase = (void *) base;
+#endif
+	}
+}
+
+void*
+jthread_stacklimit(void)
+{
+#if defined(STACK_GROWS_UP)
+        return (void*)((uintp)currentJThread->stackEnd - REDZONE);
+#else
+        return (void*)((uintp)currentJThread->stackBase + REDZONE);
+#endif
+}
+
+/* Spinlocks: simple since we're uniprocessor */
+/* ARGSUSED */
+void
+jthread_spinon(void *arg)
+{
+	jthread_suspendall();
+}
+
+/* ARGSUSED */
+void
+jthread_spinoff(void *arg)
+{
+	jthread_unsuspendall();
+}
 
 /*
  * yield to a thread of equal priority
diff -ur /home/topic/CVS/kaffe/kaffe/kaffevm/systems/unix-jthreads/jthread.h /mnt/windows/cygwin/tmp/topic/kaffe-1.1.x-cvs/kaffe/kaffevm/systems/unix-jthreads/jthread.h
--- /home/topic/CVS/kaffe/kaffe/kaffevm/systems/unix-jthreads/jthread.h	2003-05-26 16:57:05.000000000 -0400
+++ /mnt/windows/cygwin/tmp/topic/kaffe-1.1.x-cvs/kaffe/kaffevm/systems/unix-jthreads/jthread.h	2003-06-08 06:40:26.000000000 -0400
@@ -184,14 +184,10 @@
  */
 void 	jthread_sleep(jlong time);
 
-/* 
- * return the current thread 
- */
-static inline jthread_t
-jthread_current(void) 
-{ 
-	return currentJThread; 
-}
+/* 
+ * return the current thread 
+ */
+jthread_t jthread_current(void);
 
 /* 
  * count the number of stack frames - unimplemented 
@@ -218,86 +214,23 @@
  */
 void 	jthread_exit(void) __NORETURN__;
 
-/*
- * determine whether a location is on the stack of the current thread
- */
-static inline int
-jthread_on_current_stack(void *bp)      
-{
-        int rc = bp >= currentJThread->stackBase && bp < currentJThread->stackEnd;
-
-DBG(JTHREADDETAIL,
-	dprintf("on current stack: base=%p size=%ld bp=%p %s\n",
-		currentJThread->stackBase,
-		(long)((char *) currentJThread->stackEnd - (char *) currentJThread->stackBase),
-		bp,
-		(rc ? "yes" : "no"));
-    )
-
-        return rc;
-}
-
-/* 
- * Check for room on stack.
- */
-static inline int     
-jthread_stackcheck(int left)
-{
-	int rc;
-#if defined(STACK_GROWS_UP)
-        rc = jthread_on_current_stack((char*)&rc + left);
-#else
-        rc = jthread_on_current_stack((char*)&rc - left);
-#endif
-	return (rc);
-}
-
-/*
- * Get the current stack limit.
- */
-
-#define	REDZONE	1024
+/*
+ * determine whether a location is on the stack of the current thread
+ */
+int		jthread_on_current_stack(void *bp);
+
+/* 
+ * Check for room on stack.
+ */
+int		jthread_stackcheck(int left);
+
+/*
+ * Get the current stack limit.
+ */
+
+void jthread_relaxstack(int yes);
 
-static inline void
-jthread_relaxstack(int yes)
-{
-	if( yes )
-	{
-#if defined(STACK_GROWS_UP)
-		uintp end = (uintp) currentJThread->stackEnd;
-		end += REDZONE;
-		currentJThread->stackEnd = (void *) end;
-#else
-		uintp base = (uintp) currentJThread->stackBase;
-		base -= REDZONE;
-		currentJThread->stackBase = (void *) base;
-#endif
-	}
-	else
-	{
-#if defined(STACK_GROWS_UP)
-		uintp end = (uintp) currentJThread->stackEnd;
-		end -= REDZONE;
-		currentJThread->stackEnd = (void *) end;
-#else
-		uintp base = (uintp) currentJThread->stackBase;
-		base += REDZONE;
-		currentJThread->stackBase = (void *) base;
-#endif
-	}
-}
-
-static
-inline
-void*
-jthread_stacklimit(void)
-{
-#if defined(STACK_GROWS_UP)
-        return (void*)((uintp)currentJThread->stackEnd - REDZONE);
-#else
-        return (void*)((uintp)currentJThread->stackBase + REDZONE);
-#endif
-}
+void* jthread_stacklimit(void);
 
 /*
  * determine the "interesting" stack range a conservative gc must walk
@@ -368,21 +301,10 @@
 /* restore an fd, i.e., put it in blocking state without async I/O */
 #define JTHREAD_RESTORE_FD
 void jthreadRestoreFD(int fd);
-
-
-/* Spinlocks: simple since we're uniprocessor */
-/* ARGSUSED */
-static inline
-void jthread_spinon(void *arg)
-{
-	jthread_suspendall();
-}
-
-/* ARGSUSED */
-static inline
-void jthread_spinoff(void *arg)
-{
-	jthread_unsuspendall();
-}
+
+/* Spinlocks: simple since we're uniprocessor */
+void jthread_spinon(void *arg);
+
+void jthread_spinoff(void *arg);
 
 #endif
